## kchmviewer 4.1-1maemo2

=== debian/changelog ===
kchmviewer (4.1-1maemo2) unstable; urgency=low

  * Source is based on 4.1-1, changes have been made before Faheem Pervez's changes
  * debian folder taken from 4.1-1maemo1
  * Some changes to rules file (disable debug, optimize build for N8xO)
  * chmlib 0.40a is included with source, not needed as build dependency anymore
  * Disable statusbar
  * Add toolbar icon to show/hide TOC
  * Add menu item to show/hide toolbar
  * Bind Zoom In and Zoom Out to buttons.
  * Add toolbar icon & menu entry to activate finger scrolling (still experimental & buggy)

 -- Malek Boughattas <karatchov@googlemail.com>  Wed, 12 Aug 2009 02:40:12 +0100
 

kchmviewer (4.1-1maemo1) unstable; urgency=low

  * Remove built in fullscreen function
  * Bind Zoom In and Zoom Out to buttons.
  * Disable statusbar (default Maemo behaviour)

 -- Faheem Pervez <trippin1@gmail.com>  Wed,  5 Aug 2009 18:10:14 +0100

kchmviewer (4.1-1maemo0) unstable; urgency=low

  * Lower debhelper version to 5.
  * Rewrite rules file.
  * Install 26x26 icon.

 -- Faheem Pervez <trippin1@gmail.com>  Wed,  5 Aug 2009 10:43:11 +0100

kchmviewer (4.1-1) unstable; urgency=low

  * New upstream release. (Closes: #479402, #496888)
  * Add patch to disable kio-msits build to avoid okular-extra-backends
    conflict.
  * Bump compat/debhelper to 7.
  * Update debian/control:
    - Set Debian KDE Extras Team as Maintainer and myself in Uploaders.
    - Update build dependencies:
      - Add cmake, quilt and pkg-kde-tools
      - Replace kdelibs4-dev by kdelibs5-dev
      - Remove autotools-dev
    - Update Standards-Version to 3.8.2 (no changes needed).
    - Add Homepage field
  * Remove deprecated files: debiandirs, dirs and Makefile.
  * Update debian/menu file to Debian menu policy 2.1
  * Switch debian/rules to dh.

 -- Fathi Boudra <fabo@debian.org>  Wed, 29 Jul 2009 21:43:18 +0200

kchmviewer (3.1-2) unstable; urgency=low

  * Fixed FTBFS with gcc-4.3 (Closes: #474869)
    - Updated to S-V 3.7.3 with no changes

  * Fixed uscan (Closes: #449696)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 13 Apr 2008 01:27:32 +0200

kchmviewer (3.1-1) unstable; urgency=low

  * New upstream version (Closes: #428128)
    - Fixed crash if last file gone (Closes: #420561)

  * Fixed menu entry to file into "Apps/Viewers" (Closes: #403032)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 17 Jun 2007 13:55:44 +0200

kchmviewer (3.0-1) unstable; urgency=low

  * New upstream version

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 25 May 2007 23:21:26 +0200

kchmviewer (2.7-1) unstable; urgency=low

  * New upstream version
    - Should fix crashes due to bad encoding detection (Closes: #390329)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri,  8 Dec 2006 02:11:46 +0100

kchmviewer (2.6-1) unstable; urgency=low

  * New upstream version

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 31 Aug 2006 02:56:52 +0200

kchmviewer (2.5-2) unstable; urgency=low

  * Fix FTBFS with g++4.1 (Closes: #372168)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 08 Jun 2006 20:08:39 +0200

kchmviewer (2.5-1) unstable; urgency=low

  * New upstream version
  
  * Fix building with g++4.1 (Closes: #356517)

  * Updated to standards version 3.7.2 with no changes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 11 May 2006  2:32:41 +0200

kchmviewer (2.0-1) unstable; urgency=low

  * New upstream version (Closes: #353709)
    - included proper icons from upstream :-)

  * Package sponsored by Tommaso Moroni

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon, 20 Feb 2006 22:19:57 +0100

kchmviewer (1.3a-1) unstable; urgency=low

  * First upload to the Archive (Closes: #312700)

  * Package sponsored by Tommaso Moroni

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun,  1 Jan 2006  2:33:38 +0100

kchmviewer (1.2a-1) unstable; urgency=low

  [ Tommaso Moroni ]
  * Initial packaging, incomplete

  [ Jose Luis Tallon ]
  * Initial release
    - Fixed to use libchm instead of chmlib
    - Added icons and manpage (1.2 -> 1.2a)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sat,  10 Dec 2005 18:48:17 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif

ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	mkdir -p build
	cd build && qmake QMAKE_CFLAGS="$(CFLAGS)" QMAKE_CXXFLAGS="$(CFLAGS)" PREFIX=/usr ../kchmviewer.pro
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd build && $(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf build

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kchmviewer.
	#cd build && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/kchmviewer install #I would expect to be able to do this but it doesn't work. I blame qmake for making shit Makefiles. ;)
	#So I'll just have to install the files manually. Yay.
	install -D -m755 $(CURDIR)/build/bin/kchmviewer $(CURDIR)/debian/kchmviewer/usr/bin/kchmviewer
	install -D -m644 $(CURDIR)/src/kchmviewer.desktop $(CURDIR)/debian/kchmviewer/usr/share/applications/hildon/kchmviewer.desktop
	install -D -m644 $(CURDIR)/src/cr64-app-kchmviewer.png $(CURDIR)/debian/kchmviewer/usr/share/icons/hicolor/scalable/hildon/kchmviewer.png
	install -D -m644 $(CURDIR)/src/cr48-app-kchmviewer.png $(CURDIR)/debian/kchmviewer/usr/share/icons/hicolor/48x48/hildon/kchmviewer.png
	install -D -m644 $(CURDIR)/src/cr26-app-kchmviewer.png $(CURDIR)debian/kchmviewer/usr/share/icons/hicolor/26x26/hildon/kchmviewer.png

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kchmviewer 5.1

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR}/src )

# Project files
SET( kchmviewerSources 
	checknewversion.cpp
	config.cpp
	dbus_interface.cpp
	dialog_chooseurlfromlist.cpp
	dialog_setup.cpp
	kde-qt.cpp
	keyeventfilter.cpp
	main.cpp
	mainwindow.cpp
	navigationpanel.cpp
	recentfiles.cpp
	settings.cpp
	tab_bookmarks.cpp
	tab_contents.cpp
	tab_index.cpp
	tab_search.cpp
	treeviewitem.cpp
	viewwindow.cpp
	viewwindowmgr.cpp
	viewwindow_qtextbrowser.cpp
	kde/viewwindow_khtmlpart.cpp
  )

# UI files
KDE4_ADD_UI_FILES( kchmviewerSources 
	dialog_about.ui
	dialog_setup.ui
	dialog_topicselector.ui
	mainwindow.ui
	navigatorpanel.ui
	tab_bookmarks.ui
	tab_contents.ui
	tab_index.ui
	tab_search.ui
	window_browser.ui
   )

# Resources
QT4_ADD_RESOURCES( kchmviewerResources resources/images.qrc )

KDE4_ADD_EXECUTABLE( kchmviewer ${kchmviewerSources} ${kchmviewerResources} )

TARGET_LINK_LIBRARIES( kchmviewer 
	chmfile 
	${LIBCHM_LIBRARY}
	${KDE4_KDEUI_LIBS} 
	${KDE4_KHTML_LIBS}
	${KDE4_KFILE_LIBS}  )

INSTALL( TARGETS kchmviewer DESTINATION ${KDE4_BIN_INSTALL_DIR} )

## kchmviewer 4.1-1maemo3

=== debian/changelog ===
kchmviewer (4.1-1maemo3) unstable; urgency=low

  * Using correct CFLAGS to build chmlib.
  * Disabled all build optimizations(this seems to correct the instability)
  * kinetic scrolling should be less buggy now
  * Added an option (enabled by default) to disable tabs
  * History is disabled by default now, this should reduce startup crashes
  
 -- Malek Boughattas <karatchov@googlemail.com>  Tue, 22 Sep 2009 13:13:02 +0100
  

=== debian/control ===
Source: kchmviewer
Section: user/utilities
Priority: optional
Maintainer: Malek Boughattas <karatchov@googlemail.com>
Original-Maintainer: Fathi Boudra <fabo@debian.org>, Jose Luis Tallon <jltallon@adv-solutions.net>
Build-Depends: debhelper (>= 5), sharutils, libqt4-dev
Standards-Version: 3.8.2
Homepage: http://www.kchmviewer.net/

Package: kchmviewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CHM viewer for KDE
 KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
 Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget
 library, and does not depend on KDE or GNOME. However, it may be compiled
 with full KDE support, including KDE widgets and KIO/KHTML.
 .
 The main advantage of KchmViewer is non-English language support. Unlike
 others, KchmViewer in most cases correctly detects help file encoding,
 correctly shows tables of context of Russian, Korean, Chinese and Japanese
 help files, and correctly searches in non-English help files (search for
 MBCS languages - ja/ko/ch is still in progress).
 .
 Completely safe and harmless. Does not support JavaScript in any way,
 optionally warns you before opening an external web page, or switching to
 another help file. Shows an appropriate image for every TOC entry.
 .
 KchmViewer Has complete chm index support, including multiple index entries,
 cross-links and parent/child entries in index as well as Persistent bookmarks
 support. Correctly detects and shows encoding of any valid chm file.
XB-Maemo-Display-Name: KchmViewer
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAA
 AARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAYdEVYdFNvZnR3
 YXJlAFBhaW50Lk5FVCB2My4zNqnn4iUAAAWTSURBVEhL5ZVbTNNXHMddfFjGfNiW
 uIct2V6W+bJsyTQbXsg0ztuGihcUnZdxEbmIXKSIFFAEQYrc23Ir5Q4tzBZoQUop
 lxYEBdrIRSjMItdSKAisFKGF7/7//2KVuSxucw/LTnKSJj3n9zm/z/n2dM2a//Ww
 Y9Le2Bnj7nuUfdnXszDmg39FxhnuVatD7ACJdbQzvibmFsY50854T8XexIvedmz/
 D18L9FJJwkf7kryVWxiucOXGgVktAlMigiOHAetoFxK8tDvxYtd3TL8Q57wbn/8t
 qAux8ZtYt/6tMefBUzRBNbaIqkdPIVIb0aIxgFNdi82Mc1SX5NzMcFneHufeSXQb
 6pwVbv1KUFuW346dCRdmyQJX+FzICEDy/XlU9RsxNLOE1OZp/NQ6BY/sJAvoGdA6
 yhnbI88NuHHD3/pDGF3IXn+SE+y0K+FCgc2t8+ZnG6XKh3AT6OCQNwIn3hiipDqI
 VHrYJvYiV9ZkAW2KcsSmSEccY15GXbNCsQriERv83u5od0dbpp/0AMt/wZZ1iVSw
 6pTV7b3Y4CVGCO8B6jtGkStVYwe9Fp+eF6G4ToWvbjphY+SP2B7rAa98Brr7etDf
 3393FcgrOWyX9UV7WEc6YVuMK3HBv/l+cTLv3MGh8HqElzzE5RwVjjKasCu0FvbX
 ahDG52MrcU8nOCGIKM+EZngQ09PTSCnKWrFx+D7IAlOpVJ/dZMXjy5CTLwGewWyT
 AlHW8DN2+FXiHXsB1h0RYNuFcghkangXJsKnOB6JUh7GJyewsLAAkUKKjaf2ifY7
 O7xpATFKuZt/SKEjVJSOU1nXcCyDjsNpgTjApoGILPaz/XGQ+OyWE4dyRTcKK3pR
 RMwSmRJhwmwEClhIrxfgyewMTCYTJG0K2Pg6iOz8nZ9DgoqSbI4k0wycxjKMzUxC
 /8sMHuvH0Dn6CM2aTsh6WiHuaIRAWYeCexJkKMqQKOMjuioX18WZCC1PR06TGIZ5
 A8xmMyrb5fj2qrMsMDX6OYRsySkzLK67tweillrcqshFTnMl2h73QG+YgW5umoJ2
 j2lwf+Ah6tTtFJTfVoOsu2IwJPlEvGUwEqpWVlYgVsrhmnEdx9Pp0w4c+p5VQTjE
 prmMTYxDp9NBMzBAuK1BREkafApjwWuVomtUg/HZKQxOjaNH+xjtg71o6FMiTS4k
 4i3H4uIiBSlT1oNWFE9834NeYp1vcbx5T5K3kwV2IoO+TTM5Srk1Go148uQJtFot
 lF0PECfIghsnHBGEIlJhn26IAGqpA0g6m7G0tARyCAmtUeIsSv2UYZbSntdyB775
 t+CTFnmdgqU3CD9OlQuM2lk9tWl5eZkqMD8/T0V0eGQYIrkUEfxUSi23SYT6nnaY
 zCZqfTGhMa66AP26YVR0NuFGORdJZXkQ11WjuaUZLknBbEtXxJO/3i6F5h5ekdkm
 6W6B4anRAiXVGAwG6PV64kfYC6W6i7p0chTdr4Z7IQNRldnw5EaCwUtHjbwOHR0d
 UKvVeKTR4AzzSuBLT1Cpsn7t8YygL05zQ5MSZDx9G+HbtGym7oAsTqqdm5uDmeg6
 m0ja7hgP0Lgx4FWVobOrCxqi8MjICCYmJjA1NYUh7SjOpgSf/NOH9UZF1rojaYH2
 jtnhDakNt6GZGLHoTJGVIJTHwj1VGwYHB6kgkZrJQ5Dda/UTELbKFkNusxvPpoW8
 /0ovuC8//u29CV5SuoANlqwY/gXE/5GUj8nJSaow2SWl1ziPxj4V4iT5A2c5oVGu
 2REbXgnw4qKrpWlWdiyatJpI2pheR3VGBoZMat/4IDiK0gXPgmihQ3rQvkgxd+1f
 Bry4gVVbbHU4JUDKk1eib0iDwpYqU7CQrbBN9jntx49/9x8V//1mrqLc6jA7IOMg
 6xI9oCT5k9da/D9X7Fe5rmYrXvfjGgAAAABJRU5ErkJggg==

## kchmviewer 4.1-1maemo4

=== debian/changelog ===
kchmviewer (4.1-1maemo4) unstable; urgency=low

  * Context menu is now disabled, this should avoid random show up

 -- Malek Boughattas <karatchov@googlemail.com>  Mon, 16 Nov 2009 11:04:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-
-CFLAGS = -Wall
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O3
-endif
-
-ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
-	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s
-endif
 
 
 configure: configure-stamp

## kchmviewer 5.1

=== debian/changelog ===
kchmviewer (5.1-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Remove quilt from Build-Depends.
  * Refresh 01_disable_kio-msits_build.diff patch.

  [ Fathi Boudra ]
  * Add 02_grammatical_error.diff patch. Thanks to Chris Leick.
    (Closes: #536201)
  * Update debian/control:
    - Bump build dependencies versions (debhelper and pkg-kde-tools).
    - Bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/copyright:
    - kchmviewer is licensed under the GPL version 3 since version 5.0.
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).
    - Use kde sequence addon. (Closes: #574309)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Wed, 17 Mar 2010 19:56:04 +0100

=== debian/control ===
Source: kchmviewer
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Jose Luis Tallon <jltallon@adv-solutions.net>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev, libchm-dev
Standards-Version: 3.8.4
Homepage: http://www.kchmviewer.net/

Package: kchmviewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CHM viewer for KDE
 KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
 Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget
 library, and does not depend on KDE or GNOME. However, it may be compiled
 with full KDE support, including KDE widgets and KIO/KHTML.
 .
 The main advantage of KchmViewer is non-English language support. Unlike
 others, KchmViewer in most cases correctly detects help file encoding,
 correctly shows tables of context of Russian, Korean, Chinese and Japanese
 help files, and correctly searches in non-English help files (search for
 MBCS languages - ja/ko/ch is still in progress).
 .
 Completely safe and harmless. Does not support JavaScript in any way,
 optionally warns you before opening an external web page, or switching to
 another help file. Shows an appropriate image for every TOC entry.
 .
 KchmViewer Has complete chm index support, including multiple index entries,
 cross-links and parent/child entries in index as well as Persistent bookmarks
 support. Correctly detects and shows encoding of any valid chm file.

=== debian/watch ===
version=3
http://sf.net/kchmviewer/kchmviewer-?([\w+\d+\.]+|\d+)(?:\.tar|\.tgz)(?:\.gz|\.bz2|) debian uupdate

## kchmviewer 5.3

=== CMakeLists.txt ===
# Project name
PROJECT( kchmviewer )

# Init cmake
#SET( CMAKE_VERBOSE_MAKEFILE ON )
set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/")

# Necessary packages
FIND_PACKAGE( KDE4 REQUIRED )
FIND_PACKAGE( Libchm REQUIRED)

# Set compilation params
INCLUDE_DIRECTORIES( ${KDE4_INCLUDES}
		${CMAKE_SOURCE_DIR}/src
		${CMAKE_SOURCE_DIR}/lib/libchmfile )
ADD_DEFINITIONS( ${KDE4_DEFINITIONS} )
ADD_DEFINITIONS( -DUSE_KDE )

# Run in those subdirectories
ADD_SUBDIRECTORY( lib/libchmfile )
ADD_SUBDIRECTORY( lib/kio-msits )
ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( po )
ADD_SUBDIRECTORY( packages )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
 	tab_index.cpp
 	tab_search.cpp
 	treeviewitem.cpp
+	toolbarmanager.cpp
+	toolbareditor.cpp
 	viewwindow.cpp
 	viewwindowmgr.cpp
 	viewwindow_qtextbrowser.cpp
@@ -36,6 +38,7 @@
 	tab_contents.ui
 	tab_index.ui
 	tab_search.ui
+	toolbareditor.ui
 	window_browser.ui
    )

=== lib/kio-msits/CMakeLists.txt ===
SET( kioSources msits.cpp )
KDE4_ADD_PLUGIN( kio_msits ${kioSources} )
TARGET_LINK_LIBRARIES( kio_msits ${KDE4_KIO_LIBS} ${LIBCHM_LIBRARY} )
INSTALL( TARGETS kio_msits DESTINATION ${PLUGIN_INSTALL_DIR} )
INSTALL( FILES msits.protocol DESTINATION ${KDE4_SERVICES_INSTALL_DIR} )

=== lib/libchmfile/CMakeLists.txt ===
# Project files
SET( libchmfileSources
        libchmfile.cpp
        libchmfileimpl.cpp
        libchmfile_search.cpp
        libchmsearchengine.cpp
        libchmsearchengine_impl.cpp
        libchmsearchengine_indexing.cpp
        libchmtextencoding.cpp
        libchmtocimage.cpp 
  )

KDE4_ADD_LIBRARY( chmfile STATIC ${libchmfileSources} )

=== debian/changelog ===
kchmviewer (5.3-1) unstable; urgency=low

  * New upstream release.
  * Remove patches:
    - 00_ftbfs_svn_r363.diff - merged upstream
    - 02_grammatical_error.diff - merger upstream
  * Add disable_check_new_version.patch to disable new version checking.
    (Closes: #602535)

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 Jan 2011 19:08:06 +0200

kchmviewer (5.2-1) unstable; urgency=low

  * New upstream release.
  * Add patch to fix ftbfs caused by missing files.
  * Add Recommends okular-extra-backends. (Closes: #597719)

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 16:47:08 +0300

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Fathi Boudra <fabo@debian.org>, Jose Luis Tallon <jltallon@adv-solutions.net>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev, libchm-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.kchmviewer.net/
 
 Package: kchmviewer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: okular-extra-backends
 Description: CHM viewer for KDE
  KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
  Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --parallel --with kde $@

## kchmviewer 6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,6 @@
 
 # Run in those subdirectories
 ADD_SUBDIRECTORY( lib/libchmfile )
-ADD_SUBDIRECTORY( lib/kio-msits )
 ADD_SUBDIRECTORY( src )
 ADD_SUBDIRECTORY( po )
 ADD_SUBDIRECTORY( packages )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,8 +23,7 @@
 	toolbareditor.cpp
 	viewwindow.cpp
 	viewwindowmgr.cpp
-	viewwindow_qtextbrowser.cpp
-	kde/viewwindow_khtmlpart.cpp
+	qwebviewnetwork.cpp
   )
 
 # UI files
@@ -51,7 +50,7 @@
 	chmfile 
 	${LIBCHM_LIBRARY}
 	${KDE4_KDEUI_LIBS} 
-	${KDE4_KHTML_LIBS}
+	${QT_QTWEBKIT_LIBRARY}	
 	${KDE4_KFILE_LIBS}  )
 
 INSTALL( TARGETS kchmviewer DESTINATION ${KDE4_BIN_INSTALL_DIR} )

=== debian/changelog ===
kchmviewer (6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update patches:
    - 01_disable_kio-msits_build.diff: drop, obsolete
    - disable_check_new_version.patch: update
  * Bump debhelper compatibility to 9:
    - bump compat to 9
    - bump debhelper build dependency to >= 9
    - fix placement of $@ as dh argument
  * Stop recommending okular-extra-backends, as kchmviewer does not use
    kio-msits anymore.
  * Remove debian/not-installed, outdated and unused.
  * Simplify watch file.
  * Update copyright.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Add Vcs-* headers.
  * Move kchmviewer.1 from the debian/additions/ directory to just debian/.
  * Add libqtwebkit-dev build dependency.
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Feb 2014 15:09:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev, libchm-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4),
+ kdelibs5-dev, libqtwebkit-dev, libchm-dev
+Standards-Version: 3.9.5
 Homepage: http://www.kchmviewer.net/
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kchmviewer/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kchmviewer/trunk/
 
 Package: kchmviewer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: okular-extra-backends
 Description: CHM viewer for KDE
  KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
  Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget

=== debian/watch ===
version=3
http://sf.net/kchmviewer/kchmviewer-([\w+\d+\.]+)\.tar\.(?:gz|bz2|xz) debian uupdate

## kchmviewer 7.5

=== debian/changelog ===
kchmviewer (7.5-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:38 +0000

kchmviewer (7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the libzip-dev and libx11-dev build dependencies, needed by the new
    version.
  * Update watch file, handling "beta" versions using tilde.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Fix linking to X11, as explicitly used; patch link-x11.diff.
  * Drop the menu file and its icon, as kchmviewer already provides a .desktop
    file.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Dec 2015 12:54:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: kchmviewer
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Jose Luis Tallon <jltallon@adv-solutions.net>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev, libqtwebkit-dev, libchm-dev
-Standards-Version: 3.9.5
+ kdelibs5-dev, libqtwebkit-dev, libchm-dev, libzip-dev, libx11-dev,
+Standards-Version: 3.9.6
 Homepage: http://www.kchmviewer.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kchmviewer/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kchmviewer/trunk/

=== debian/watch ===
version=3
opts="uversionmangle=s/beta|b/~$0/" \
http://sf.net/kchmviewer/kchmviewer-([\w+\d+\.]+)\.tar\.(?:gz|bz2|xz) debian uupdate

## kchmviewer 7.7

=== packages/CMakeLists.txt ===
INSTALL( FILES kchmviewer.desktop DESTINATION ${KDE4_XDG_APPS_INSTALL_DIR} )
KDE4_INSTALL_ICONS( ${KDE4_ICON_INSTALL_DIR} )
KDE4_UPDATE_ICONCACHE( )

=== debian/changelog ===
kchmviewer (7.7-1build3) hirsute; urgency=medium

  * No-change rebuild for libzip soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Mar 2021 17:45:25 +0100

kchmviewer (7.7-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:52 +0100

kchmviewer (7.7-1build1) disco; urgency=medium

  * No-change rebuild against latest libzip

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Nov 2018 08:06:46 -0500

kchmviewer (7.7-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Switch the build to Qt5: (Closes: #784476, #874936).
    - remove the cmake, pkg-kde-tools, kdelibs5-dev, and libqtwebkit-dev build
      dependencies
    - add the qtbase5-dev, and libqt5webkit5-dev build dependencies
    - drop the usage of the kde dh addon
    - force the use of the qmake build system
    - export QT_SELECT=5 to make sure to use Qt5
  * Update the patches:
    - disable_check_new_version.patch: refresh
    - link-x11.diff: drop, cmake is no more used
  * Force the usage of QtWebKit, no matter the Qt5 version; patch
    force_qtwebkit.diff.

  [ Andrey Rahmatullin ]
  * Adopt the package (Closes: #879300), add myself to Uploaders.
  * Remove Jose Luis Tallon from Uploaders (Closes: #838076).
  * Switch to the debhelper compat level 11, adjust debhelper B-D accordingly,
    remove explicit --parallel.
  * Fix building with --as-needed (fix_lib_order.patch added).
  * Install files manually as the qmake build system doesn't support
    installing.
  * Install the PNG icon, which wasn't installed previously for some reason.
  * Update Vcs-* fields as the repo is moved to salsa.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Wed, 13 Jun 2018 00:25:19 +0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: kchmviewer
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev, libqtwebkit-dev, libchm-dev, libzip-dev, libx11-dev,
-Standards-Version: 3.9.6
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>, Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper (>= 11),
+ qtbase5-dev, libqt5webkit5-dev,
+ libchm-dev, libzip-dev, libx11-dev,
+Standards-Version: 4.1.4
 Homepage: http://www.kchmviewer.net/
-Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kchmviewer/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kchmviewer/trunk/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kchmviewer.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kchmviewer
 
 Package: kchmviewer
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export QT_SELECT=5

%:
	dh $@ --buildsystem qmake

## kchmviewer 8.0

=== CMakeLists.txt ===
# Project name
PROJECT( kchmviewer )

# Init cmake
set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/")

# Necessary packages
FIND_PACKAGE( KDE4 REQUIRED )
FIND_PACKAGE( Libchm REQUIRED)

# libzip
FIND_PATH(LIBZIP_INCLUDE_DIR zip.h)
FIND_LIBRARY(LIBZIP_LIBRARY NAMES zip)

IF (LIBZIP_INCLUDE_DIR AND LIBZIP_LIBRARY)
	MESSAGE(STATUS "Found libzip: ${LIBZIP_LIBRARY}")
ELSE ()
	MESSAGE(FATAL_ERROR "Could not find libzip. Please install libzip and libzip-devel packages")
ENDIF ()

# Set compilation params
INCLUDE_DIRECTORIES( ${KDE4_INCLUDES}
		${CMAKE_SOURCE_DIR}/src
		${CMAKE_SOURCE_DIR}/lib/libebook )
ADD_DEFINITIONS( ${KDE4_DEFINITIONS} )
ADD_DEFINITIONS( -DUSE_KDE )

# Run in those subdirectories
ADD_SUBDIRECTORY( lib/libebook )
ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( po )
ADD_SUBDIRECTORY( packages )

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)

	MESSAGE( "------ NOTE: msgfmt not found. Translations will *not* be installed ------")

ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
	
	SET(catalogname kchmviewer)
	ADD_CUSTOM_TARGET(translations ALL)
	FILE(GLOB PO_FILES ${catalogname}*.po)

	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
		STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
		STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

		IF( _langCode )
			GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
			SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

			ADD_CUSTOM_COMMAND(TARGET translations
								COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
								DEPENDS ${_poFile})
			INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
		ENDIF( _langCode )
 
	ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== lib/libebook/CMakeLists.txt ===
# Project files
SET( libebookSources
    ebook_chm.cpp
    ebook_epub.cpp
    ebook.cpp
    ebook_chm_encoding.cpp
    ebook_search.cpp
    helper_entitydecoder.cpp
    helper_search_index.cpp
    helperxmlhandler_epubcontainer.cpp
    helperxmlhandler_epubcontent.cpp
    helperxmlhandler_epubtoc.cpp
 )

KDE4_ADD_LIBRARY( ebook STATIC ${libebookSources} )

=== debian/changelog ===
kchmviewer (8.0-2build3) plucky; urgency=medium

  * Rebuild against latest libzip

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Nov 2024 08:54:21 -0500

kchmviewer (8.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:01:49 +1100

kchmviewer (8.0-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:46:08 +0000

kchmviewer (8.0-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit e3b09edbbae17ad19661a7514afe5a9d84ca0ffa to fix
    the order of libraries specified for linking; patch
    upstream_Adding-support-for-old-single-pass-gcc-linker-which-.patch
    - drop patch fix_lib_order.patch, replaced by this backported one
  * Starting from this version, upstream does not consider the QtWebEngine
    interface experimental any more; since it might be the only option in the
    future, switch to it now:
    - backport upstream commit a4a3984465cb635822953350c571950ae726b539 to not
      require webkit unconditionally; patch
      upstream_Only-add-Webkit-stuff-to-QT-if-we-re-compiling-under.patch
    - drop patch force_qtwebkit.diff, so QtWebEngine is used with Qt 5.6+
    - replace the libqt5webkit5-dev build dependency with qtwebengine5-dev
  * Update the headers of patch disable_check_new_version.patch.
  * Backport upstream commit 9ac73e7ad15de08aab6b1198115be2eb44da7afe,
    commit e4d78dc1a237ff6f538bdde6842b6d51c4d1886f,
    commit 0c2e2503de5821bda2bb2a006982a7f41bc84cd2, and
    commit 6b9e95ba8abfc5601e43b7a4d63ff0faa846fe13 to fix various issues
    related to the QtWebEngine integration; patches
    upstream_Custom-URL-scheme-registration-needs-to-be-applied-o.patch,
    upstream_qtwebengine-doesn-t-have-linkClicked-signal.patch,
    upstream_qtwebengine-implement-opening-additional-windows-exc.patch, and
    upstream_qtwebengine-synchronize-url-with-navigation-panel.patch.
  * Backport upstream commit 57531fe4db33f1540faaabba49e74c29637f01ee to fix
    a potential crash when reading CHM files; patch
    upstream_Return-initialization-of-EBook_CHM-m_lookupTablesVal.patch.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jul 2023 06:05:18 +0200

kchmviewer (8.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Pino Toscano ]
  * Add the configuration for the CI on salsa.
  * Upstream moved to GitHub for development, so:
    - switch Homepage to https://github.com/gyunaev/kchmviewer
    - change watch file to pick the latest GitHub tag format (hoping upstream
      will not change format in future versions)
    - switch/improve upstream/metadata
  * New upstream release.
  * Update the patches:
    - disable_check_new_version.patch: refresh
    - force_qtwebkit.diff: refresh
    - fix_lib_order.patch: refresh
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Drop the man page, as it does not describe anything useful, and its only
    reference is also an old location.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.2, no changes required (it seems).
  * Rename install to kchmviewer.install to make it clear to which package it
    refers.
  * Ship another version (64px) of the application icon to the XDG hicolor icon
    theme.
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Jul 2023 12:05:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: kchmviewer
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 11),
- qtbase5-dev, libqt5webkit5-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Andrey Rahmatullin <wrar@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+ qtbase5-dev,
+ qtwebengine5-dev,
  libchm-dev, libzip-dev, libx11-dev,
-Standards-Version: 4.1.4
-Homepage: http://www.kchmviewer.net/
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://github.com/gyunaev/kchmviewer
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kchmviewer.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kchmviewer

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?RELEASE_(\d)_(\d)\.tar\.gz/kchmviewer-$1.$2.tar.gz/g" \
 https://github.com/gyunaev/kchmviewer/tags .*/RELEASE_(\d)_(\d)\.tar\.gz
